=== debian/changelog ===
xwaylandvideobridge (0.4.0-2build4) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 19:01:29 +0100

xwaylandvideobridge (0.4.0-2build3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:13 -0500

xwaylandvideobridge (0.4.0-2build2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 18:33:07 -0600

xwaylandvideobridge (0.4.0-2build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 00:46:46 -0600

xwaylandvideobridge (0.4.0-2) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 28 Nov 2024 22:18:47 +0100

xwaylandvideobridge (0.4.0-1) experimental; urgency=medium

  * Initial release (Closes: #1077654)

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 31 Jul 2024 05:31:18 -0700
