=== debian/control ===
Source: xwaylandvideobridge
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.1.0~),
               libkf6coreaddons-dev,
               libkf6i18n-dev,
               libkf6notifications-dev,
               libkf6statusnotifieritem-dev,
               libkf6windowsystem-dev,
               libkf6widgetsaddons-dev,
               libpipewire-0.3-dev,
               libkpipewire-dev,
               libxcb-composite0-dev,
               libxcb-record0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxkbcommon-dev,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev,
               qt6-base-private-dev,
               qt6-declarative-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/neon-packaging/xwaylandvideobridge
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xwaylandvideobridge
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xwaylandvideobridge.git

Package: xwaylandvideobridge
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XWayland Video Bridge for X11 clients
 By design, X11 applications can't access window or screen contents 
 for wayland clients. This is fine in princple, but it breaks screen 
 sharing in tools like Discord, MS Teams, Skype, etc and more.
 .
 This tool allows us to share specific windows to X11 clients, but 
 within the control of the user at all times.
