## xwaylandvideobridge 0.4.0+p24.04+vstable+git20250912.2108

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-if (QT_MAJOR_VERSION STREQUAL "6")
+if(QT_MAJOR_VERSION STREQUAL "6")
     set(REQUIRED_QT_VERSION "6.4")
     set(KF_MIN_VERSION "5.240.0")
     set(KF_MAJOR_VERSION "6")
@@ -32,8 +32,8 @@
 endif()
 
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Quick DBus)
-if (QT_MAJOR_VERSION STREQUAL "5")
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Quick DBus Widgets)
+if(QT_MAJOR_VERSION STREQUAL "5")
     find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
 endif()
 
@@ -41,12 +41,8 @@
     CoreAddons
     I18n
     WindowSystem
-    Notifications
+    Crash
 )
-
-if (QT_MAJOR_VERSION STREQUAL "6")
-    find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
-endif()
 
 find_package(XCB COMPONENTS REQUIRED XCB COMPOSITE EVENT RECORD XFIXES)
 
@@ -58,4 +54,4 @@
 # Make it possible to use the po files fetched by the fetch-translations step
 ki18n_install(po)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
