=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 add_executable(xwaylandvideobridge)
 
 qt_add_dbus_interface(
-   XDP_SRCS
-   org.freedesktop.portal.ScreenCast.xml
-   xdp_dbus_screencast_interface
+    XDP_SRCS
+    org.freedesktop.portal.ScreenCast.xml
+    xdp_dbus_screencast_interface
 )
 
 ecm_qt_install_logging_categories(EXPORT XWAYLANDVIDEOBRIDGE FILE xwaylandvideobridge.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
@@ -15,9 +15,9 @@
 
 target_sources(xwaylandvideobridge PRIVATE
     main.cpp
-    xwaylandvideobridge.cpp
-    contentswindow.cpp
-    x11recordingnotifier.cpp
+    xwaylandvideobridge.cpp xwaylandvideobridge.h
+    contentswindow.cpp contentswindow.h
+    x11recordingnotifier.cpp x11recordingnotifier.h
     ${XDP_SRCS}
 )
 
@@ -27,7 +27,7 @@
     KF${QT_MAJOR_VERSION}::I18n
     KF${QT_MAJOR_VERSION}::CoreAddons
     KF${QT_MAJOR_VERSION}::WindowSystem
-    KF${QT_MAJOR_VERSION}::Notifications
+    KF${QT_MAJOR_VERSION}::Crash
     Qt${QT_MAJOR_VERSION}::Quick
     Qt${QT_MAJOR_VERSION}::DBus
     Qt${QT_MAJOR_VERSION}::Widgets
@@ -37,9 +37,9 @@
     XCB::RECORD
 )
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(xwaylandvideobridge Qt6::GuiPrivate KF6::StatusNotifierItem)
-elseif (QT_MAJOR_VERSION STREQUAL "5")
+if(QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(xwaylandvideobridge Qt6::GuiPrivate)
+elseif(QT_MAJOR_VERSION STREQUAL "5")
     target_link_libraries(xwaylandvideobridge Qt5::X11Extras)
 endif()
