=== debian/changelog ===
xwaylandvideobridge (0.4.0+p24.04+vstable+git20250912.2108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 21:09:00 +0000

xwaylandvideobridge (0.4.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 4 Nov 2023 07:48:34 +1000

xwaylandvideobridge (0.0.0-0neon) jammy; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Sun, 23 Apr 2023 05:15:20 +1000
