=== debian/control ===
Source: xwaylandvideobridge
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               libkpipewire-dev,
               libpipewire-0.3-dev,
               libxcb-composite0-dev,
               libxcb-record0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/neon-packaging/xwaylandvideobridge
Vcs-Git: https://invent.kde.org/neon/neon-packaging/xwaylandvideobridge.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/xwaylandvideobridge
Maintainer: Neon CI <neon@kde.org>

Package: xwaylandvideobridge
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XWayland Video Bridge
 By design, X11 applications can't access window or screen contents 
 for wayland clients. This is fine in princple, but it breaks screen 
 sharing in tools like Discord, MS Teams, Skype, etc and more.
 .
 This tool allows us to share specific windows to X11 clients, but 
 within the control of the user at all times.
